Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App Installations
  • Atlassian GraphQL
  • Confluence
  • Forge Context
  • Forge Dynamic Modules
  • Forge Events
  • Forge KVS
  • Forge LLM
  • Forge Object Store
  • Forge Proxy
  • Forge Realtime
  • Forge SQL
  • Jira
Platform
Forge / Reference / APIs for Forge Containers

App Installations

Postman Collection
OpenAPI

APIs for accessing installations information.

GET

Get app installations

Returns all installations for the given app Id and environment. This endpoint has a rate limit of 100 requests per minute per appId. Supports optional pagination via query parameters.

Limit: 100 requests per minute per appId.

Example requests:

1 2 3 4 5 6 7 8 9 10 11 # Returns up to the first 100 installations (default page size) GET <FORGE_EGRESS_PROXY_URL>/v1/installations # Returns up to the first 50 installations GET <FORGE_EGRESS_PROXY_URL>/v1/installations?pageSize=50 # Returns up to the next 50 installations after the given cursor GET <FORGE_EGRESS_PROXY_URL>/v1/installations?pageSize=50&cursor=eyJhbGciOi... # Returns up to the next 100 installations after the given cursor (default page size) GET <FORGE_EGRESS_PROXY_URL>/v1/installations?cursor=eyJhbGciOi...

Request

Query parameters

pageSize

integer

cursor

string

Responses

Installations retrieved successfully

application/json

AppInstallationsResponse

Response for app installations endpoint

GET/v1/installations
1 2 3 curl --request GET \ --url '{FORGE_EGRESS_PROXY_URL}/v1/installations' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "installations": [ { "id": "<installation-1-id-uuid>", "installationContext": "ari:cloud:confluence::site/<cloudId>", "version": "12.0.3", "secondaryInstallationContexts": [ "<secondary-installation-context-1>", "<secondary-installation-context-2>" ] }, { "id": "<installation-2-id-uuid>", "installationContext": "ari:cloud:jira::site/<cloudId>", "version": "11.0.0", "secondaryInstallationContexts": [] }, { "id": "<installation-3-id-uuid>", "installationContext": "ari:cloud:jira::site/<cloudId>", "version": "11.0.0", "secondaryInstallationContexts": [] } ], "cursor": null }
GET

Get details about a single app installation

Returns detailed information about a single installation for the given installation ID. This endpoint has a rate limit of 1 request per minute per installationId.

Limit: 1 request per minute per installationId. If a single appId has multiple installations, this rate limit will be applied separately to each installationId.

Request

Path parameters

installationId

string

Required

Responses

Installation retrieved successfully

application/json

AppInstallation

A single app installation

GET/v1/installation/{installationId}
1 2 3 curl --request GET \ --url '{FORGE_EGRESS_PROXY_URL}/v1/installation/{installationId}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 { "id": "<installation-1-id-uuid>", "version": "12.0.3", "installationContext": "ari:cloud:confluence::site/<cloudId>", "secondaryInstallationContexts": [ "<secondary-installation-context-1>" ], "scopes": [ "read:jira-user", "storage:app" ], "external": { "fetch": { "backend": [ "<backend-url>" ], "client": [ "<client-url>" ] }, "images": [ "<image-url>" ], "media": [ "<media-url>" ], "scripts": [ "<script-url>" ], "styles": [ "<stylesheet-url>" ], "fonts": [ "<font-url>" ], "frames": [ "<frame-url>" ] } }
GET

Get app installations (deprecated)Deprecated

Deprecated. Use /v1/installations instead.

Returns all installations for the given app Id and environment.

Request

This request has no parameters.

Responses

Installations retrieved successfully

application/json

AppInstallationsBasicResponse

Response for the deprecated app installations endpoint

GET/v0/installations
1 2 3 curl --request GET \ --url '{FORGE_EGRESS_PROXY_URL}/v0/installations' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 { "installations": [ { "id": "<string>", "installationContext": "<string>" } ] }

Rate this page: